<mat-list-item>
  <h3 mat-line>
    <span [ngStyle]="{ color: domain.includes('taken') ? 'red' : 'green' }"
      >{{ domain }}
    </span>
    <span
      class="register"
      *ngIf="showRegisterButton && !showAddToScratchboxButton"
      (click)="register()"
      >Register</span
    >
  </h3>
  <div mat-line>
    <button
      *ngIf="showAddToScratchboxButton"
      mat-stroked-button
      color="accent"
      (click)="addToScratchboard()"
    >
      Add to Scratchboard
    </button>
    <button
      *ngIf="showRegisterButton && showAddToScratchboxButton"
      mat-stroked-button
      color="primary"
      (click)="register()"
    >
      Register
    </button>
  </div>
</mat-list-item>
